if (window.location.search.indexOf('cypress=1') === -1) {
  let spinner = {
    show: function() {
      document.querySelector('.loader').style.visibility = 'visible';
    },
    hide: function() {
      document.querySelector('.loader').style.visibility = 'hidden';
    },
  };

  let ias = window.ias = new IAS('.surface-container', {
    item: '.article',
    next: '.pager__next',
    pagination: '.pager',
    spinner: {
      element: '.loader',
      show: function(element) {
        element.style.display = 'block';
        element.style.opacity = 1;
      },
      hide: function(element) {
        element.style.opacity = 0;

        return new Promise((resolve) => {
          setTimeout(() => {
            element.style.display = 'none';
            resolve();
          }, 300);
        });
      }
    },
    // spinner: `<div>Loading...</div>`,
    // spinner: spinner,
    // spinner: {
    //   element: '.loader',
    //   delay: 600
    // }
  });

  ias.on('noneLeft', function() {
    let el = document.querySelector('.no-more');

    onScrollInView(el, () => { el.style.opacity = '1'; });
  });
}

function onScrollInView(el, callback) {
  let io = new IntersectionObserver(
      entries => {
          entries.forEach((e) => {
              if (e.intersectionRatio === 1) {
                  callback(el);
                  io.unobserve(el);
              }
          });

      },
      {
          threshold: [1]
      }
  );

  // Start observing an element
  io.observe(el);
}
