function query(elementOrSelector, context) {
  context = context || document;

  if (typeof elementOrSelector !== 'string') {
    return [elementOrSelector];
  }

  let id_sel = elementOrSelector.match(/^#([\w-]*)$/);

  if (id_sel) {
    let elem = context.getElementById(id_sel[1]);

    return (elem ? [elem] : []);
  }

  let elements = context.querySelectorAll(elementOrSelector);

  return Array.prototype.slice.call(elements);
}

class elements {
  constructor(elements) {
    this.elements = elements;
  }
  last() {
    return this.elements[this.elements.length-1];
  }
  get() {
    return this.elements[0];
  }
  all() {
    return this.elements;
  }
}

export default function $(elementOrSelector, context) {
  return new elements(query(elementOrSelector, context));
}
