import extend from 'extend';
import $ from './el';

const defaults = {
  element: undefined,
  hide: false
};

export default class Pagination {
  constructor(ias, options) {
    if (typeof options === 'string') {
      options = {
        element: options,
        hide: true,
      }
    } else if (typeof options === 'boolean') {
      options = {
        element: '',
        hide: options,
      }
    }

    this.options = extend({}, defaults, options);

    if (!this.options.hide) {
      return;
    }

    if (!this.options.element || !$(this.options.element).get()) {
      throw new Error('Pagination element "' + this.options.element + '" not found');
    }

    let self = this;

    ias.on('binded', function() {
      self.hide();
    });

    ias.on('unbinded', function() {
      self.restore();
    });
  }

  hide() {
    let el = $(this.options.element).get();

    this.originalDisplayStyle = window.getComputedStyle(el).display;

    $(this.options.element).get().style.display = 'none';
  }

  restore() {
    let el = $(this.options.element).get();

    el.style.display = this.originalDisplayStyle;
  }
}
